// file: isip_verify.h
//
// this is the header file for the isip_verify utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_VERIFY
#define ISIP_UTIL_VERIFY

// isip include files
//
#include <CommandLine.h>
#include <SpeakerVerifier.h>

static const String PROG_NAME(L"isip_verify");

static const String OPTION_PARAMS_FILE(L"parameter_file");
static const String OPTION_ALGO_TYPE(L"algo_type");
static const String DEF_HMM_ALGO(L"hmm");
static const String DEF_SVM_ALGO(L"svm");
static const String DEF_RVM_ALGO(L"rvm");
static const String DEF_TRAIN_MODE(L"train");
static const String DEF_TEST_MODE(L"test");
static const String OPTION_MODE(L"mode");
static const String OPTION_LIST_FILE(L"list_file");
static const String OPTION_POS_EXAMPLE_LIST(L"pos_example_list");
static const String OPTION_NEG_EXAMPLE_LIST(L"neg_example_list");
static const String OPTION_MODEL_FILE(L"model_file");
static const String OPTION_AUDIO_DB_FILE(L"audio_db_file");
static const String OPTION_OUTPUT_FILE(L"output_file");
static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_LOG_FILE(L"log_file");
static const String OPTION_DECISION_THRESHOLDS(L"decision_thresholds");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");
static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;
static const Integral::DEBUG VERBOSITY_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
